Subject: bug#58988: How Can I restore a file inside /gnu/store/ ?

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Fri, 04 Nov 2022 10:18:28 +0100

Heyo,

Adding some notable info that user_ shared on IRC:

> user2@host ~$ sudo guix build --repair 
> /gnu/store/yjllxib1fm3zqkwmr5j4lpxhz3zqsjjz-guix-e3280ae
> Senha: 
> substitute: atualizando substitutos de 
> "https://ci.guix.gnu.org"... 100.0%
> substituindo 
> /gnu/store/yjllxib1fm3zqkwmr5j4lpxhz3zqsjjz-guix-e3280ae...
> baixando de 
> https://ci.guix.gnu.org/nar/lzip/yjllxib1fm3zqkwmr5j4lpxhz3zqsjjz-guix-e3280ae 
> ...
>
> guix-e3280ae               792KiB/s 00:21 | 16.1MiB transferred

[email-masked] 写道：
> I need to fix this file but
> /gnu/store/ is read only, How can I restore this file?

Well, ‘sudo guix gc --verify=contents,repair’, or ‘guix build 
--repair’.

Since neither worked: if you've ‘guix pull’ed before, you should 
have some previous profiles as

  /var/guix/profiles/per-user/$USER/current-guix-*

If so: see if pulling any of those works, e.g.,

  $ /var/guix/profiles/per-user/$USER/current-guix-1-link/bin/guix 
  pull

Kind regards,

T G-R